type TWriteType = 'error' | 'apirequest' | 'info';
interface ILogger {
    setLevel(level: string): void;
    error(...args: any[]): void;
    info(...args: any[]): void;
    debug(...args: any[]): void;
    write(type: TWriteType, message: any, additional?: any): Promise<void>;
    isManualLevel(): boolean;
    [key: string]: any;
}
declare const Logger: ILogger;
export declare function logAndThrowError(error: string): void;
export declare function logAndRejectError(error: string, reject: (e: any) => void): void;
export { Logger };
