export declare function getInstance(): Promise<IDBDatabase>;
export declare abstract class LogBase {
    protected abstract name: string;
    protected abstract maxItems: number;
    _add(obj: any): any;
    delete(key: any): any;
    getAll(): any;
}
export declare class LogLog extends LogBase {
    protected name: "log";
    protected maxItems: number;
    protected environment: string;
    add(type: string, message: any, additional?: any): any;
}
export declare class LogMessage extends LogBase {
    protected name: "messages";
    protected maxItems: number;
    add(log: any): any;
}
export declare const keyValue: {
    get<K extends string, D>(key: K, defaultValue?: D): any;
    getAll(): any;
    extend(key: string, value: any): Promise<void>;
    set<K, D>(key: K, value: D): any;
};
export declare const log: LogLog;
export declare const message: LogMessage;
