import { keyValue } from '../../core/storage';
export declare class Data {
    private readonly store;
    constructor(store?: typeof keyValue);
    clearAll(): Promise<void>;
    setApplicationCode(application: string): Promise<void>;
    getApplicationCode(): Promise<string>;
    setApiToken(token: string): Promise<string>;
    getApiToken(): Promise<string>;
    setHwid(hwid: string): Promise<void>;
    getHwid(): Promise<string>;
    setDeviceType(type: number): Promise<void>;
    getDeviceType(): Promise<number>;
    setDeviceModel(model: string): Promise<void>;
    getDeviceModel(): Promise<string>;
    setLanguage(language: string): Promise<void>;
    getLanguage(): Promise<string>;
    setApiEntrypoint(url: string): Promise<void>;
    getApiEntrypoint(): Promise<string>;
    setTokens(tokens: any): Promise<void>;
    getTokens(): Promise<any>;
    setApplicationServerKey(key: string): Promise<void>;
    getApplicationServerKey(): Promise<string | undefined>;
    setIsVapidChanged(status: boolean): Promise<void>;
    getIsVapidChanged(): Promise<boolean>;
    setWebSitePushId(senderId: string): Promise<void>;
    getWebSitePushId(): Promise<string>;
    setDefaultNotificationImage(url?: string): Promise<void>;
    getDefaultNotificationImage(): Promise<string>;
    setDefaultNotificationTitle(text?: string): Promise<void>;
    getDefaultNotificationTitle(): Promise<string>;
    setUserId(userId?: string | number): Promise<void>;
    getUserId(): Promise<string | undefined>;
    setStatusUserIdWasChanged(status: boolean): Promise<void>;
    getStatusUserIdWasChanged(): Promise<boolean>;
    setEmail(email?: string): Promise<void>;
    getEmail(): Promise<string | undefined>;
    setStatusEmailWasChanged(status: boolean): Promise<void>;
    getStatusEmailWasChanged(): Promise<boolean>;
    setLastPermissionStatus(status: NotificationPermission): Promise<void>;
    getLastPermissionStatus(): Promise<NotificationPermission | undefined>;
    setStatusManualUnsubscribed(status: boolean): Promise<void>;
    getStatusManualUnsubscribed(): Promise<boolean>;
    setStatusCommunicationDisabled(status: boolean): Promise<void>;
    getStatusCommunicationDisabled(): Promise<boolean>;
    setStatusDropAllData(status: boolean): Promise<void>;
    getStatusDropAllData(): Promise<boolean>;
    setSdkVersion(version: string): Promise<void>;
    getSdkVersion(): Promise<string>;
    setServiceWorkerVersion(version: string): Promise<void>;
    getServiceWorkerVersion(): Promise<string>;
    setServiceWorkerUrl(url?: string | null): Promise<void>;
    getServiceWorkerUrl(): Promise<string>;
    setServiceWorkerScope(scope?: string): Promise<void>;
    getServiceWorkerScope(): Promise<string>;
    setLastOpenMessage(message: any): Promise<void>;
    getLastOpenMessage(): Promise<any>;
    setLastOpenApplicationTime(time: number): Promise<void>;
    getLastOpenApplicationTime(): Promise<number>;
    setFeatures(features: any): Promise<void>;
    getFeatures(): Promise<any>;
    setInitParams(params: any): Promise<any>;
    getInitParams(): Promise<any>;
    setInboxLastRequestCode(lastCode: string): Promise<void>;
    getInboxLastRequestCode(): Promise<string>;
    setInboxLastRequestTime(lastRequestTime: number): Promise<void>;
    getInboxLastRequestTime(): Promise<number>;
    setInboxNewMessagesCount(count: number): Promise<void>;
    getInboxNewMessagesCount(): Promise<number>;
    setDelayedEvent(event: any): Promise<void>;
    getDelayedEvent(): Promise<any>;
    setPromptDisplayCount(count: number): Promise<void>;
    getPromptDisplayCount(): Promise<number>;
    setPromptLastSeenTime(time: number): Promise<void>;
    getPromptLastSeenTime(): Promise<number>;
}
