import { type TPlatform } from './PlatformChecker.types';
export declare class PlatformChecker {
    private readonly global;
    private readonly _isSafari;
    private readonly _isOpera;
    private readonly _isEdge;
    private readonly _isFirefox;
    private readonly _isChrome;
    private readonly _isMacOS;
    private readonly _isAvailableServiceWorker;
    private readonly _isAvailableNotifications;
    /**
     * Browser name + version
     * Example: "Chrome 70"
     */
    private readonly _browserVersion;
    private readonly _platform;
    constructor(global: typeof globalThis);
    get isEdge(): boolean;
    get isSafari(): boolean;
    get isOpera(): boolean;
    get isAvailableServiceWorker(): boolean;
    get isAvailableNotifications(): boolean;
    get platform(): TPlatform;
    get browserVersion(): string;
    isSafariBrowser(): boolean;
    isOperaBrowser(): boolean;
    isEdgeBrowser(): boolean;
    isFirefoxBrowser(): boolean;
    isChromeBrowser(): boolean;
    isMacOS(): boolean;
    canUseServiceWorkers(): boolean;
    /**
     * Check availability ServiceWorker or safari browser on macos
     */
    canReceiveNotifications(): boolean;
    /**
     * Get Pushwoosh system platform code
     */
    getPlatformType(): TPlatform;
    /**
     * Get browser name + version from userAgent
     */
    getBrowserVersion(): string;
}
